/// <reference types="react" />
import { FormStrategy, FormModel, FieldSetModel } from './models';
export interface IFormContext {
    strategy: FormStrategy;
    form: FormModel<any>;
    parent: FieldSetModel;
}
export declare const FormContext: import("react").Context<IFormContext>;
export declare const FormProvider: import("react").Provider<IFormContext>;
export declare function useFormContext(quiet?: boolean): IFormContext | null;
export default FormContext;
